import type { EventBridgeClient, PutEventsResponse, PutEventsRequestEntry } from '@aws-sdk/client-eventbridge';
import { JSONSchema } from 'json-schema-to-ts';
import { Event } from './Event';
declare type ChunkedEntriesAccumulator = {
    chunkedEntries: PutEventsRequestEntry[][];
    lastChunkSize: number;
    lastChunkLength: number;
};
export declare class Bus {
    private _name;
    private _eventBridge;
    constructor({ name, EventBridge, }: {
        name: string;
        EventBridge: EventBridgeClient;
    });
    put(events: PutEventsRequestEntry[]): Promise<PutEventsResponse>;
    computePattern(events: Event<string, JSONSchema>[]): {
        source?: string[];
        'detail-type'?: string[];
    };
}
export declare function computeEventSize(event: PutEventsRequestEntry): number;
export declare function chunkEntries(events: PutEventsRequestEntry[]): ChunkedEntriesAccumulator['chunkedEntries'];
export {};
